Bug 807330 - RFE: Upgrade to version 2.2.3
RFE: Upgrade to version 2.2.3
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: vlock (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-27 10:29 EDT by Petr Pisar
Modified: 2012-11-14 07:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 05:40:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-03-27 10:29:07 EDT
Current vlock in Fedora is 1.3. The upstream link in spec file does not resolve anymore. But there is new upstream <http://cthulhu.c3d2.de/~toidinamai/vlock/vlock.html>. 

Please consider moving to this new upstream with latest 2.2.3 version released on 2011-09-18.
Comment 1 Karel Zak 2012-07-18 12:23:15 EDT
(In reply to comment #0)
> Current vlock in Fedora is 1.3. The upstream link in spec file does not
> resolve anymore. But there is new upstream
> <http://cthulhu.c3d2.de/~toidinamai/vlock/vlock.html>. 

Inactive, but I found

http://freecode.com/projects/vlock
http://repo.or.cz/w/vlock.git

(well it's again inactive, 2.2.3 is only tag in the git repo, no code
change since 2009-05-12)

> Please consider moving to this new upstream with latest 2.2.3 version
> released on 2011-09-18.

I have mental problem with the new upstream -- the original vlock is
pretty simple, pam auth + terminal stuff.

The new upstream is linked with glib, it has support for shared
modules and scripts (it calls scripts), it resolves dependencies
between the plugins, etc.

Sounds like infected by grub2 revolution...
Comment 2 Petr Pisar 2012-07-30 07:42:29 EDT
If you think this is completely new project, refuse this report and leave the problem for (another) packager as a request for new package. I understand.
Comment 3 Karel Zak 2012-11-14 05:40:41 EST
It seems that all the upstreams are inactive.

I'll try to merge the original small vlock-1.3 into util-linux -- it will be better than another one man project for one small util.
Comment 4 Karel Zak 2012-11-14 07:36:25 EST
UPDATE: it seems that vlock have been merged into kbd utils:

  http://git.altlinux.org/people/legion/packages/kbd.git?p=kbd.git;a=summary

so maybe after the next kdb release we will drop the vlock package from Fedora at all.

(Note, I have sent your --erase patch to Alexey who is kdb maintainer.)

Note You need to log in before you can comment on or make changes to this bug.